Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2079303002: Move preferred stylesheet set out of active sheet update. (Closed)

Created:
2 years, 3 months ago by rune
Modified:
2 years, 2 months ago
Reviewers:
Timothy Loh, Yoav Weiss
CC:
chromium-reviews, blink-reviews-html_chromium.org, gavinp+prerender_chromium.org, blink-reviews-style_chromium.org, sof, eae+blinkwatch, blink-reviews-dom_chromium.org, dglazkov+blink, blink-reviews, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move preferred stylesheet set out of active sheet update. There are two reasons for this: 1. In preparation for async active stylesheet update, in which case setting the preferred stylesheet set would otherwise be happening too late. 2. Doing it during the active stylesheet update means only the alternate stylesheets following the link with the title setting the preferred sheet set would be enabled appropriately. crbug.com/621479 This CL is split out of https://codereview.chromium.org/1913833002 R=timloh@chromium.org BUG=567021, 621479 Committed: https://crrev.com/97c1dc4aa9e0e242e1b79ffad84806865c782509 Cr-Commit-Position: refs/heads/master@{#402139}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+21 lines, -14 lines) Patch
A third_party/WebKit/LayoutTests/fast/css/preferred-stylesheet-enabling-alternate.html View 1 chunk +12 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/DocumentStyleSheetCollection.cpp View 1 chunk +1 line, -7 lines 0 comments Download
M third_party/WebKit/Source/core/dom/ProcessingInstruction.cpp View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.cpp View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleSheetCandidate.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/StyleSheetCandidate.cpp View 1 chunk +0 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLLinkElement.cpp View 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (5 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2079303002/1
2 years, 3 months ago (2016-06-20 13:24:59 UTC) #2
rune
ptal
2 years, 3 months ago (2016-06-20 14:26:50 UTC) #3
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 3 months ago (2016-06-20 14:39:15 UTC) #5
rune
2 years, 3 months ago (2016-06-21 08:50:32 UTC) #7
Timothy Loh
On 2016/06/21 08:50:32, rune wrote: lgtm, but I'm not too familiar with this code.
2 years, 2 months ago (2016-06-27 06:12:24 UTC) #8
Timothy Loh
On 2016/06/27 06:12:24, Timothy Loh wrote: > On 2016/06/21 08:50:32, rune wrote: > > lgtm, ...
2 years, 2 months ago (2016-06-27 06:12:35 UTC) #9
Yoav Weiss
On 2016/06/27 06:12:35, Timothy Loh wrote: > On 2016/06/27 06:12:24, Timothy Loh wrote: > > ...
2 years, 2 months ago (2016-06-27 06:33:22 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2079303002/1
2 years, 2 months ago (2016-06-27 07:15:35 UTC) #12
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 2 months ago (2016-06-27 08:48:54 UTC) #13
commit-bot: I haz the power
2 years, 2 months ago (2016-06-27 08:50:45 UTC) #15
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/97c1dc4aa9e0e242e1b79ffad84806865c782509
Cr-Commit-Position: refs/heads/master@{#402139}

Powered by Google App Engine
This is Rietveld 408576698